require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module Finman
    module BusinessCase
      # Value object containing attributes available to modify state on a Business Case entity.
      class BusinessCaseSetState < UU::OS::REST::DTO

        # The artifact state comment. When null is set, comment will be left empty.
        # @param [String]
        # @return [String]
        attr_accessor :comment
        # Item from enumeration {UU::Finman::BusinessCase::BusinessCaseState} of states available for business case state change.
        # Required attribute. Cannot be null.
        # @param [UU::Finman::BusinessCase::BusinessCaseState]
        # @return [UU::Finman::BusinessCase::BusinessCaseState]

        attr_accessor :business_case_state


        def comment
          attributes[:comment]
        end

        def comment=(val)
          attributes[:comment] = val
        end

        def business_case_state
          attributes[:businessCaseState]
        end

        def business_case_state=(val)
          attributes[:businessCaseState] = val
        end

      end
    end
  end
end
